Subject: Re: [Capwap] RE: IPR issues

From: Dan Harkins <[email-masked]>
Date: Tue, 20 Sep 2005 13:38:32 -0700

Sue,

  I have received more than one off-the-list question about what I
meant by "free to steal". Since I meant what I said and do not think
it's pejorative let me clarify.

  Imagine the Foobar company has some patented technology to do software
fast switching (or rogue detection, or station location or ...) and
they also implemented LWAPP in their wireless switch because it was
the standard. Cisco can implement that patented techology without a
license and if the Foobar company asserts a claim against Cisco then
Cisco will revoke the free license for Foobar to implement LWAPP. The
licensing terms for LWAPP would be at least as bad-- or "good" if you
don't want me to be pejorative-- as Foobar's terms to implement their
software fast switching technology (I know this because Cisco is run by
very good businessmen and they have a fiduciary responsibility to their
shareholders). Either that or there would be a cross-licensing deal. So
now Cisco gets to use this technology for free. (Repeat sequence
indefinitely for different companies and different patented technologies).

  Because of this Cisco could (I'm not saying they are or will or
have in the past, just that the terms they are asserting give them
the ability to) implement a technology that another company has patented
and not license it from the company. They could do this in the knowledge
that the sequence of events above would play out if that company asserted
a claim against Cisco. That sounds like stealing to me. Not that they did
do this or are doing this but they are free to do it if they want to.

  Since Pat has said that they are asserting exactly what I claim
they're asserting (no "I'm not a lawyer" disclaimer needed) this I don't
think I'm being pejorative. If Cisco would never do such a thing then 
they should change their disclosure to specificly disallow it.

  Regardless though, LWAPP is _not royalty free_.

  Dan.

On Tue, 20 Sep 2005 13:11:33 MDT you wrote
> Dan, Pat, Troy and Bert:
> 
> Bert seems to want a very specific disclosure of IPR regarding the
> CAPWAP proposals.  This disclosure goes beyond the packet formats for
> inter-operability to algorithms behind the packet exchange.  Bert's
> request seems to be broad - any Network management ever impacting
> CAPWAP.  IMHO (and I'm not a lawyer) this was not the intent of the IPR
> policy from the IETF. 
> 
> I have sent a request to Bert, David Kessens, Mani and Dorothy a private
> memo asking for clarification on the exact request that Bert/David
> Kessens or Mani and Dorothy would like to see.  I will respond to a
> precise request for additional details to the best of my abilities. 
> 
> If specific details of extend of IPR details, I would like this to be
> done in an environment that encourages clarity without pejorative
> comments.  Again - I request that ADs, or chairs or the Evaluation
> committee gather this information in a through manner. 
> 
> I hope you-all will join me in this method of discussing IPR related to
> CAPWAP. 
> 
> Sue Hares

> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Dan Harkins
> Sent: Tuesday, September 20, 2005 2:22 PM
> To: Pat Calhoun [[email-masked]]
> Cc: James Kempf; Ted Lemon; Darren Loher; [email-masked];
> [email-masked]
> Subject: Re: [Capwap] RE: IPR issues 
> 
>   Pat,
> 
>   Your statement that "LWAPP is royalty free" has a huge condition
> applied to it. It is only "royalty free" for a company if it does not
> assert its own IPR against Cisco, on anything and not just its own
> claims on LWAPP. 
> 
>   As I stated earlier, that means that Cisco is free to steal one piece
> of intellectual property from each company that implements LWAPP. 
> 
>   Royalty free would be something like this:
> 
> 	http://www.ietf.org/ietf/IPR/CAST-128-entrust
> 
> LWAPP is _NOT ROYALTY FREE_. 
> 
>   Dan.
> 
> On Sun, 18 Sep 2005 18:47:57 PDT you wrote
> > That is correct, James. LWAPP is royalty free, while the others
> (SLAPP,
> > CTP, WiCOP) are under RAND terms.
> > 
> > Folks, while I understand the concerns raised on the list, I would
> like
> > to remind everyone that many technologies developed by IETF (any any
> SDO
> > for that matter) have IPR claims around them. Nonetheless, if these
> > technologies address a market need, they end up being very successful.
> > 
> > Further, there is no guarantee that additional IPR claims won't show
> up
> > at a later date. There are many wireless companies that have no
> > representation in this working group, and given the protocol
> > independence objective of CAPWAP, I wouldn't be surprised if
> additional
> > IPR is identified at a later date.
> > 
> > But just because IPR exists does not make a technology less
> successful.
> > In fact, I would point you to
> > https://datatracker.ietf.org/public/ipr_list.cgi for a snapshot of the
> > current IPR claims for all of the IETF work in progress. Many IETF
> > protocols are widely deployed that have IPR claims against them, and
> > these are very successful. In fact, if one were to design a WLAN
> system,
> > chances are one would run into other IPR claims that exist out of
> IEEE,
> > such as Trapeze's claims on 802.11e, 802.11f, 802.11k and 802.11i (the
> > last one being a clear example that patents do not stop a protocol's
> > usefulness), and the CAPWAP protocol is just part of the overall WLAN
> > system.
> > 
> > As we evaluate specific protocols, they each have their pros and cons.
> > In the end, a protocol must be chosen based on its completeness, its
> > ability to solve the problem, etc. IPR is just one of many criterion
> > that we must deal with during the protocol engineering process.
> Trying
> > to avoid known patents today does not guarantee a patent free protocol
> > by any means, nor does enhancing a lesser protocol. 
> > 
> > So I would urge the WG to look at IPR as one of many issues that must
> be
> > dealt with in our engineering task ahead of us...
> > 
> > 
> > Pat Calhoun
> > CTO, Wireless Networking Business Unit
> > Cisco Systems
> > 
> >  
> > 
> > > -----Original Message-----
> > > From: [email-masked] 
> > > [mailto:[email-masked]] On Behalf Of James Kempf
> > > Sent: Thursday, September 15, 2005 11:44 AM
> > > To: Ted Lemon
> > > Cc: Darren Loher; [email-masked]; [email-masked]
> > > Subject: Re: [Capwap] RE: IPR issues
> > > 
> > > Let's be careful to distinguish which IPR notice we're 
> > > talking about. As I read the two disclosures (and I'm not a 
> > > lawyer so take this for what it's worth), the license 
> > > associated with LWAPP would be royalty free if it is adopted 
> > > as a standard, the claimed terms for the others are RAND, 
> > > which would not be royality free.
> > > 
> > > Have I got that right?
> > > 
> > >             jak
> > > 
> > > ----- Original Message -----
> > > From: "Ted Lemon" <[email-masked]>
> > > To: "James Kempf" <[email-masked]>
> > > Cc: "Darren Loher" <[email-masked]>; 
> > > <[email-masked]>; <[email-masked]>
> > > Sent: Thursday, September 15, 2005 11:07 AM
> > > Subject: Re: [Capwap] RE: IPR issues
> > > 
> > > 
> > > On Sep 15, 2005, at 10:30 AM, James Kempf wrote:
> > > > I don't have any problem with a license if it is royalty 
> > free, but  it 
> > > > will certainly cause problems for the OpenSource community.
> > > 
> > > The license in this case isn't royalty free.   It's "reasonable,"
> > > which can mean anything, although in my experience to date 
> > > Cisco has in fact been reasonable in the sense of the word 
> > > that I normally
> > > use.   The relevant document here is RFC3979, which doesn't
> > > explicitly say what to do, but has a good discussion of the 
> > > issues involved.
> > > 
> > > 
> > > 
> > > _______________________________________________
> > > Capwap mailing list
> > > [email-masked]
> > > http://mail.frascone.com/mailman/listinfo/capwap
> > > 
> > _______________________________________________
> > Capwap mailing list
> > [email-masked]
> > http://mail.frascone.com/mailman/listinfo/capwap
> > 
> _______________________________________________
> Capwap mailing list
> [email-masked]
> http://mail.frascone.com/mailman/listinfo/capwap
> 
> 
> 
> 
> 
_______________________________________________
Capwap mailing list
[email-masked]
http://mail.frascone.com/mailman/listinfo/capwap